--- \dll\nginx-1.21.4\src\core\ngx_array.c	2021-11-02 11:49:22.000000000 -0300
+++ ngx_array.c	2021-11-05 09:16:39.520618000 -0300
@@ -47,11 +47,12 @@
 void *
 ngx_array_push(ngx_array_t *a)
 {
-    void        *elt, *new;
-    size_t       size;
-    ngx_pool_t  *p;
+    void        *elt;
 
     if (a->nelts == a->nalloc) {
+		void         *new;
+		size_t       size;
+		ngx_pool_t  *p;
 
         /* the array is full */
 
@@ -94,14 +95,13 @@
 void *
 ngx_array_push_n(ngx_array_t *a, ngx_uint_t n)
 {
-    void        *elt, *new;
+    void        *elt;
     size_t       size;
-    ngx_uint_t   nalloc;
-    ngx_pool_t  *p;
 
     size = n * a->size;
 
     if (a->nelts + n > a->nalloc) {
+		ngx_pool_t  *p;
 
         /* the array is full */
 
@@ -119,6 +119,9 @@
             a->nalloc += n;
 
         } else {
+			void		  *new;
+			ngx_uint_t   nalloc;
+
             /* allocate a new array */
 
             nalloc = 2 * ((n >= a->nalloc) ? n : a->nalloc);
